[ Status-Menu ]
Status-Basic  = ?0
Status-RTP  = ?0

[ Status ]
version = ?0
network = ?0
IPv4 = ?0
IPv6 = ?0
NetworkCommon = ?0
AccountStatus = ?0
Ext = ?0

[ Account ]
account-register = ?0
account-basic = ?0
account-codec = ?0
account-adv = ?0

[ Account-Register ]
switch-account = ?0
account_status = ?0
line_active = ?0
account_label = ?0
display_name = ?0
register_name = ?01
user_name = ?01
account_password = ?2
enabled-outbound-proxy-server = ?01
outbound-proxy-server = ?01
transport-item = ?2
NAT_traversal = ?2
STUN_server = ?2
sip_server = ?2

[ Account-Basic ]
switch-account = ?0
proxy_require = ?0
send_anonymous = ?1
anonymous_call_enabled = ?0
anonymous_call_OnCode = ?1
anonymous_call_OffCode = ?1
anonymous_rejection_enabled = ?0
anonymous_rejection_OnCode = ?1
anonymous_rejection_OffCode = ?1
misscall-log = ?0
auto-answer = ?0
ring-type = ?0
send_anonymous_rejection_code = ?0

[ Account-Codec ]
switch-account = ?0
codecs-group = ?0

[ Account-Adv ]
switch-account = ?0
UDP_keep-alive = ?2
local-SIP-port = ?2
rport = ?2
sip-session-timer = ?2
subscribe-period = ?2
DTMF_items = ?2
reliable_retransmission = ?2
MWI-items = ?2
voice_mail = ?0
caller-ID-header =2
use-session-timer = ?2
session-timer = ?2	
session-refresher = ?2
user-equal-phone = ?2
voice-encryption = ?2
SRTP-Auth-Tag = ?2
ptime-item = ?2
share-line = ?2
Call-Pull-Feature-Access-Code = ?2
dialog-info-call-pickup = ?2
BLF-list-URI = ?2
BlfListCode = ?2
BLFListBargeInCode = ?2
BLF-List-Retrieve-Code = ?2
BLA-number = ?2
BLA-subscription-period = ?2
SIP-send-MAC = ?2
SIP-send-line = ?2
SIP-Reg-retry-timer = ?2
conference-type = ?2
conference-uri = ?2
ACD-subscrip-period = ?2
Earlymedia = ?2
SIPServerType = ?2
Music-ServerURI = ?2
Direct-Call-Pickup-Code = ?2
Group-Call-Pickup-Code = ?2
Distinctive-Ring-Tones = ?2
UnregisterOnReboot = ?2
Out-Dialog-BLF = ?2
RTCP-Collector-Name = ?2
RTCP-Collector-Address = ?2
RTCP-Collector-Port = ?2
Number-Of-Linekey = ?2
voice_mail_display = ?2

[ Network ]
network-basic = ?0
network-pcport = ?0
network-advanced = ?0

[ Network-Basic ]
ipaddress-mode = ?2
ipv4config = ?2
ipv6config = ?2
wan-ppoe = ?2

[ Network-PCPort ]
pcport-active = ?0

[ Network-Advanced ]
LLDP-items = ?2
VLAN-items = ?2
port-link = ?2
voice-QoS = ?2
local-RTP-port = ?2
web-server = ?2
8021x = ?2
span-to-pc-port = ?2
reg-surge-prev = ?2
ICMPv6_Status = ?2
open-VPN = ?2

[ DSSKey ]
memorykey = ?0
linekey = ?0
programmablekey = ?0
extkey = ?0

[ MemoryKey ]
memory-key = ?0


[ LineKey ]
line-key = ?0
Enable-Page-Tips = ?0
Label-Length = ?0

[ ProgramKey ]
programmable-key = ?0

[ ExtKey ]
ext-key = ?0

[ Features ]
features-forward = ?0
features-general = ?0
features-audio = ?0
features-intercom = ?0
features-transfer = ?0
features-callpickup = ?0
features-remote = ?0
features-phonelock = ?0
features-acd = ?0
features-sms = ?0
features-actionurl = ?0
features-bluetooth = ?0
features-powerled = ?0
features-notifypop = ?0

[ Forward&DND ]
head-forward = ?0
forward-mode = ?01
forward-account = ?01
           
always-forward = ?0



busy-forward = ?0



NoAnswer-forward = ?0


DND = ?0
DND-Emergency = ?0
DND-Authorized-Numbers = ?0
DND-mode = ?01
DND-account = ?01
DND-Status = ?01
DND-OnCode = ?01
DND-OffCode = ?01

[ General-Information ]
call_waiting = ?0
auto-redial = ?0
auto_redial_interval = ?0
auto_redial_times = ?0
key_as_send = ?0
reserve-pound = ?2
hotline-number = ?0
hotline-delay = ?0
busytone_delay = ?0
return-code-refuse = ?0
return-code-DND = ?0
call_completion = ?0
feature-key-synchronisation = ?0
TimeOut-for-DialNow = ?0
RFC-2543-Hold = ?2
use-outbound-in-dialog = ?2
IsDeal-180 = ?2
logon-wizard = ?2
PswPrefix = ?2
PswLength = ?2
PswDial = ?2
SaveCallHistory = ?2
SuppressDTMFDisplay = ?1
SuppressDTMFDisplayDelay = ?1
play-local-DTMF-tone = ?0
DTMFRepetition = ?0
MulticastCodec = ?0
PlayHoldTone = ?0
PlayHoldToneDelay = ?0
AllowMute = ?0
DualHeadset = ?1
AutoAnswerDelay = ?0
HeadsetPrior = ?0
DTMFReplaceTran = ?0
TranSendDTMF = ?1
SendPoundKey = ?0
FwdInternational = ?0
Diversion-History-Info = ?1
allow-trans-exist-call = ?0
blf-led-mode = ?0
ReLogOffTime = ?2
call-number-filter = ?0
Use_Logo = ?0
upload_logo = ?0
allow-IP-call = ?0
IP-direct-auto-answer = ?0
calllog-show-num = ?0
voicemail-tone = ?0
DHCP-hostname = ?0
reboot-in-talking = ?0
Hide-Feature-Access-Codes = ?0
display-method-on-dialing = ?2
text_logo = ?0
calllog-show-num = ?0
[ Features-Audio ]
call-waiting-tone = ?0
button-sound = ?0
redial_tone = ?0
send-sound = ?0
headset-send-volume = ?1
handset-send-volume = ?1
handfree-send-volume = ?1
Ringer_Dev = ?0

[ Features-Intercom ]
allow-intercom = ?0
intercom-mute = ?0
intercom-tone = ?0
intercom-barge = ?0

[ Features-Transfer ]
semi-attend-transfer = ?0
Semi-Attend-Trans-OnHook = ?0
blind-tran-onhook = ?0
transfer-on-conference-hang-up = ?0
TransferModeViaDsskey = ?0

[ Features-Callpickup ]
Call-Pickup = ?0
Call-Park = ?0

[ Features-Remote ]
pushxml-server-addr = ?2
XMLSIPNotify = ?2
XMLBlockInCalling = ?1
ActionURILimitIP = ?2

[ Features-Lock ]
Lock_Enable = ?2
keyboard_lock = ?2
Phone_Unlock_PIN = ?2
Phone_lock_time_out = ?2
emergency_setting = ?2

[ Features-ACD ]
ACD-auto-available = ?2
ACD-auto-available-timer = ?2

[ Features-ActionURL ]
setup-complete = ?2
log-on = ?2
log-off = ?2
register-fail = ?2
off-hook = ?2
on-hook = ?2
incoming-call = ?2
outgoing-call = ?2
call-establish = ?2
Call-Terminated = ?2
DND-On = ?2
DND-Off = ?2
Forward-On-Code = ?2
Forward-Off-Code = ?2
Busy-Forward-On = ?2
Busy-Forward-Off = ?2
No-Answer-Forward-On = ?2
No-Answer-Forward-Off = ?2
TransferCall = ?2
Blind-transfer-call = ?2
Attended-transfer-call = ?2
Hold = ?2
Unhold = ?2
Mute = ?2
Unmute = ?2
Missed-call = ?2
IPChange = ?2
IdletoBusy = ?2
BusytoIdle = ?2
RejectIncomingCall = ?2
AnswerNewInCall = ?2
TransferFailed = ?2
TransferFinished = ?2
ForwardIncomingCall = ?2
UCServer = ?2    
ReportIP = ?2     
AutopFinish = ?2


[ Features-Bluetooth ]
bluetooth-active = ?0

[ Features-PowerLED ]
common-power-light-on = ?0
ring-power-light-flash = ?0
mail-power-light-flash = ?0
mute-power-light-flash = ?0
hold-power-light-flash = ?0
talk-power-light-flash = ?0

[ Features-NotifyPop ]
Display-Voice-Mail-Popup = ?0
Display-Missed-Call-Popup = ?0
Display-Forward-Call-Popup = ?0
Display-Text-Message-Popup = ?0

[ Settings ]
settings-preference = ?0
settings-datetime = ?0
settings-calldisplay = ?0
settings-upgrade = ?0
settings-autop = ?0
settings-config = ?0
settings-dialplan = ?0
settings-voice = ?0
settings-ring = ?1
settings-tones = ?0
settings-softkey = ?2
settings-tr069 = ?2
settings-voicemonitoring = ?0

[ Settings-Preference ]
web-language = ?0
live-dialpad = ?0
inter-digit-time = ?0
UnusedBackLight = ?0
backlight = ?0
BacklightTime = ?0
contrast_ctrl = ?0
watchdog = ?2
ring_type_setting = ?0
Wallpaper = ?0

[ Time&Date ]
DHCP-Time = ?0
time_zone = ?0
NTP_priority = ?0
prim_server = ?0
sec_server = ?0
update_interval = ?0
daylight-time = ?0
time_type = ?0
daylight_week = ?0
daylight_day = ?0
offset = ?0
manual-time = ?0
manual-time-settings = ?0
time_format_setting = ?0
date_format_setting = ?0

[ Settings-CallDisplay ]
Display-Contact-Photo = ?0
Incoming-Call-Ringer-Animation = ?0
Call-Display-Method = ?0

[ Settings-Upgrade ]
version_info = ?0
reset_to_factory = ?1
reset_local_config = ?0
reboot_device = ?0
upgrade_firmware = ?1

[ Settings-AutoProvision ]
pnp-active = ?2
dhcp-active = ?2
custom-option = ?2
DHCP-Option-Value = ?2
server-URL = ?2
account = ?2
password = ?2
common-AES-key = ?2
MAC-Oriented-AES-key = ?2
zero_active = ?2
wait_time = ?2
poweron-active = ?2
repeatly-active = ?2
repeat-interval = ?2
weekly-active = ?2
autop-time = ?2
day-of-week = ?2
btn-autop-now = ?2

[ Settings-Config ]
opt-configfile = ?1
opt-factory-configfile = ?2
export-cfg-config-file = ?2
import-cfg-config-file = ?2
pcap_trace  = ?1
syslog  = ?1
SystemlogLevel = ?2

[ Settings-DialPlan ]
replace-rule = ?0
dial-now = ?0
area-code = ?0
block-out = ?0
replace-rule-control = ?0
dial-now-control = ?0
area-code-control = ?0
block-out-control = ?0

[ Settings-Voice ]
echo-cancellation = ?0
jitter-buffer = ?0

[ Settings-Ring ]
personal-ring = ?1

[ Settings-Tones ]
tone-items = ?0

[ Softkey ]
Custom_SoftKey = ?2
SoftKey_Type = ?2
SoftKey_Select = ?2

[ TR069 ]
head = ?2
EnableTR069 = ?2
ACSUsername = ?2
ACSPassword = ?2
ACSURL = ?2
EnablePeriodicInform = ?2
PeriodicInformInterval = ?2
RequestUsername = ?2
RequestPassword = ?2

[ Settings-VoiceMonitoring ]
RTCP-Session-Report = ?2
RTCP-Interval-Report = ?2
RTCP-Interval-Period = ?2
RTCP-Warming-Moslq = ?2
RTCP-Critical-Moslq = ?2
RTCP-Warming-Delay = ?2
RTCP-Critical-Delay = ?2
Display-VQReport-On-Web = ?2
Display-VQReport-On-UI = ?2
RTCP-Report-Options = ?2

[ Contacts ]
contacts-basic = ?0
contacts-remote = ?0
contacts-callinfo = ?0
contacts-LDAP = ?0
contacts-broadsoft = ?0
contacts-multicastIP = ?0
contacts-favorite = ?0

[ LocalPhoneBook ]
contact-list = ?0
all-contacts-control = ?0
import-export-contacts = ?1
btnImportCSV = ?1
btnExportCSV = ?1
btnImportXML = ?1
btnExportXML = ?1
opt-contacts = ?0

[ Contacts-Remote ]
remote-phonebook-list = ?0
SRemoteNameEnable = ?0
SRemoteNameFlashTime = ?0

[ PhoneCallInfo ]
call-control = ?0
dialed-list-title = ?0
dialed-list-content = ?0
missed-list-title = ?0
missed-list-content = ?0
received-list-title = ?0
received-list-content = ?0
forwarded-list-title = ?0
forwarded-list-content = ?0

[ LDAP ]
enable-LDAP = ?0
LDAP-name-filter = ?0
LDAP-number-filter = ?0
LDAP-TLS-Mode = ?0
server-address = ?0
port = ?0
base = ?0
user-name = ?0
password = ?0
maxhits = ?0
LDAP-name-attributes = ?0
LDAP-number-attributes = ?0
LDAP-display-name = ?0
protocol = ?0
LDAP-lookup-for-incoming-call = ?0
LDAP-lookup-for-callout = ?0
LDAP-sorting-results = ?0


[ Contacts-Broadsoft ]
Directotries = ?0
XSI = ?0

[ MulticastIP ]
Receive_Priority = ?0
MulticastIPConfig = ?0
PagePriorityActive = ?0
PagingList = ?0

multicast_paging_list= ?0

[ Contacts-Favorite ]
contacts-group = ?0
super-search = ?0

[ Security ]
password = ?0
trusted_cert = ?2
server_cert = ?2

[ TrustCerts ]
trust-certs-records = ?2
btn-delete-certs = ?2
only-accept-trusted-certs = ?2
upload-trust-certs = ?2
common-name-validation = ?2
ca-certs = ?2

[ ServerCerts ]
server-certs-records = ?2
server-certs-upload = ?2
server-certs-device-cert = ?2

[ HiddenSetting ]
custom-factory-config = ?2
DND-Active = ?2
Forward-Active = ?2
Broadsoft-Active = ?1
Redirect-Active = ?1
UC-Active = ?1
pushxml = ?2
shotlevel = ?2

[ GUI ]
Status_IP = ?11
Status_IPv6 = ?11
Status_MAC = ?21
Status_HW = ?01
Status_More = ?01
network = ?0
Status_More_Phone = ?0
Status_More_Account = ?0
Status_More_RTP = ?02
status_general = ?02


features= ?02
CallControl = ?0
callcontrol_anywhere = ?11
callcontrol_remoteoffice = ?11
callcontrol_forward = ?11
always-forward = ?1
busy-forward = ?1
NoAnswer-forward = ?1
callcontrol_dnd= ?11
callcontrol_hidenumber = ?11
callcontrol_anonymousrejection = ?11
callcontrol_sinultaneousring = ?11



call_waiting = ?1
DSSKey = ?1
key_as_send= ?12
hotline-number = ?1
Features_Anonymous = ?1
Features_AutoRD = ?1
intercom = ?1
call_completion = ?1
history_save= ?2

multpaginglist = ?10


Main_Settings=?0

time_zone = ?0
Basic_Time_Manual = ?0
display = ?10
sound = ?1
key_tone = ?1
ring_type_setting = ?1
unlock_pin= ?2

account_label = ?02
display_name = ?02
register_name = ?02
user_name = ?01
account_password = ?01
sip_server = ?01
enabled-outbound-proxy-server = ?01
outbound_proxy_server = ?01
STUN_server = ?02
auto-Answer= ?1
Adv_Network =?0
wan_port_title = ?02
VLAN-items = ?02
wanport = ?02
pcport = ?02
dhcpvlan = ?02
web-server = ?02
8021x = ?02
open-VPN = ?02
open-lldp = ?02
softkey Label = ?02
keyboard_lock = ?02
Adv_Reboot = ?02
Adv_ResetToFac = ?02
password = ?0
Adv_AES = ?02
autoprovision = ?02
international-forward = ?02


SMS= ?12
MSG_Voice = ?1
viewvoicemail = ?1
setvoicemail = ?1
usermodeentry = ?0
NAT_traversal = ?02
contrast_ctrl = ?0
local_call_log_list = ?1
broadsoft_contact_list = ?0
callcontrol_initialacdstate = ?11
callcontrol_setacdstate = ?11

;T2X default value 2,T4X default value  00
Adv_Account = ?2

;T2X default value 0,T4X default value  1
Basic_LANG = ?0

;T2X default value 10,T4X default value  1
Basic_Setting_BackLight = ?10

;T2X default value 0,T4X default value  1
Basic_Time_Format = ?0

;T2X default value 0,T4X default value  02
Basic_Time_SNTP = ?0

;T2X default value 1,T4X default value  0(Except T48 models)
MSG_Text = ?1

;T2X default value 0,T4X default value  02
Main_Contacts = ?0

;T2X default value 1,T4X default value  02(Except T48 models)
SMS_Draftbox = ?1

;T2X default value 1,T4X default value  0(Except T48 models)
SMS_Inbox = ?1

;T2X default value 1,T4X default value  0(Except T48 models)
SMS_NEW = ?1

;T2X default value 1,T4X default value  0(Except T48 models)
SMS_Outbox = ?1

;T2X default value 1,T4X default value  0(Except T48 models)
SMS_Sentbox = ?1

;T2X default value 0,T4X default value  00
Set_Adv = ?0

;T2X default value 0,T4X default value  02
Set_Basic = ?0

;T2X default value 0,T4X default value  1
blacklist_list = ?0

;T2X default value 1,T4X default value  01
call_info = ?1

;T2X default value 0,T4X default value  1
dhcptimezone = ?0

;T2X default value 2,T4X default value  02
line_active = ?2

;T2X default value 0,T4X default value  02
local_contact_list = ?0


;T2X default value 0,T4X default value  1
remote_contact_list = ?0

;T2X default value 0,T4X default value  01
status = ?0

;T2X default value 11,T4X default value  12
dnd= ?11

;This configuration only T2X models
usermode_list = ?0

;This configuration only T4X models
advanced_call_feature_default_account = ?2
advanced_call_feature_general = ?1
advanced_call_feature_list = ?1
broadsoft_calllog_list = ?0
date_and_time_general = ?0
phone_setting_list = ?02
reset_and_reboot_list = ?02


;The configuration only T46/T48
bluetooth = ?1

display_wallpaper = ?1




